import {
	myRequest
} from '../request.js'
export default {
	recordLast(data) {
		return myRequest({
			url: '/study/record/last',
			method: 'get',
			data: data
		})
	},
	menuExamList(data) {
		return myRequest({
			url: '/course/menu/exam/list',
			method: 'get',
			data: data
		})
	},
	reSectionList(data) {
		return myRequest({
			url: '/course/sectionList',
			method: 'get',
			data: data
		})
	},
	reChapterList(data) {
		return myRequest({
			url: '/course/chapterList',
			method: 'get',
			data: data
		})
	},
	appBeforeAddress(data) {
		return myRequest({
			url: '/app/before/address',
			method: 'get',
			data: data
		})
	},
	
	

	reMenuList(data) {
		return myRequest({
			url: '/course/menuList',
			method: 'get',
			data: data
		})
	},
	menuList(data) {
		return myRequest({
			url: '/app/common/course/menuList',
			method: 'get',
			data: data,
			noToken: true
		})
	},
	chapterList(data) {
		return myRequest({
			url: '/app/common/course/chapterList/'+data,
			method: 'get',
			data: data,
			noToken: true
		})
	},
	sectionList(data) {
		return myRequest({
			url: '/app/common/course/sectionList/'+data,
			method: 'get',
			data: data,
			noToken: true
		})
	},
	courseGoodsList(data) {
		return myRequest({
			url: '/course/goodsList',
			method: 'get',
			data: data
		})
	},
	courseCourseList(data) {
		return myRequest({
			url: '/course/courseList',
			method: 'get',
			data: data
		})
	},
	courseDetail(data) {
		return myRequest({
			url: '/course/'+data,
			method: 'get'
		})
	}
	
}
